プロキシ
Web Scraping APIは、195以上のジオロケーションにまたがる数百万のIPアドレスのプールを通してリクエストを実行します。proxy_typeでターゲットに適したプールを選択してください。
エンドポイント
Section titled “エンドポイント” GET https://scrape.shifter.io/v1?api_key=YOUR_API_KEY&url=<TARGET_URL>&proxy_type=<datacenter|residential>
パラメーター
Section titled “パラメーター”| パラメーター | 型 | 必須 | 説明 |
|---|---|---|---|
api_key | string | はい | あなたのWeb Scraping APIキー |
url | string | はい | 取得対象のターゲットURL |
proxy_type | string | いいえ | datacenter(デフォルト)またはresidential。 |
データセンター vs レジデンシャル
Section titled “データセンター vs レジデンシャル”データセンタープロキシはISPではなくクラウドプロバイダーに由来します。高速で安価かつ匿名性がありますが、一部のターゲットはデータセンターのIPレンジを事前にフラグ付けします。Shifterのデータセンタープールはプライベートであり、ブラックリスト化を低く抑えています。
レジデンシャルプロキシは、ISPが自宅ユーザーに割り当てる実在のIPです。正規の一般消費者トラフィックに見えるため、ほとんどのIPベースのブロッキングを回避できますが、リクエストあたりのコストは高くなります。
リクエスト例
Section titled “リクエスト例”データセンター
Section titled “データセンター”curl "https://scrape.shifter.io/v1?api_key=YOUR_API_KEY&url=https://httpbin.org/get&proxy_type=datacenter"import requests
r = requests.get("https://scrape.shifter.io/v1", params={ "api_key": "YOUR_API_KEY", "url": "https://httpbin.org/get", "proxy_type": "datacenter",})print(r.json())import fetch from 'node-fetch';
const url = 'https://scrape.shifter.io/v1?' + new URLSearchParams({ api_key: 'YOUR_API_KEY', url: 'https://httpbin.org/get', proxy_type: 'datacenter',});const res = await fetch(url);console.log(await res.json());レジデンシャル
Section titled “レジデンシャル”curl "https://scrape.shifter.io/v1?api_key=YOUR_API_KEY&url=https://httpbin.org/get&proxy_type=residential"import requests
r = requests.get("https://scrape.shifter.io/v1", params={ "api_key": "YOUR_API_KEY", "url": "https://httpbin.org/get", "proxy_type": "residential",})print(r.json())import fetch from 'node-fetch';
const url = 'https://scrape.shifter.io/v1?' + new URLSearchParams({ api_key: 'YOUR_API_KEY', url: 'https://httpbin.org/get', proxy_type: 'residential',});const res = await fetch(url);console.log(await res.json());